Name: vcredist2008
Description: Microsoft Visual C++ Redistributable for Visual Studio 2008
Provider: Microsoft
License: Microsoft EULA
License_url: https://www.microsoft.com/web/webpi/eula/net_library_eula_enu.htm
Dependencies: []
Steps:
- action: install_exe
  file_name: vcredist_x86.exe
  url: https://download.microsoft.com/download/5/D/8/5D8C65CB-C849-4025-8E95-C3966CAFD8AE/vcredist_x86.exe
  rename: vcredist2008_x86.exe
  file_checksum: a92a4d8e784d8f859217f828fe879047
  file_size: 4483040
  arguments: /q

- action: install_exe
  file_name: vcredist_x64.exe
  url: https://download.microsoft.com/download/5/D/8/5D8C65CB-C849-4025-8E95-C3966CAFD8AE/vcredist_x64.exe
  rename: vcredist2008_x64.exe
  file_checksum: 472c10efa75a30deb2a15ec8b777227b
  file_size: 5211080
  arguments: /q
  for:
    - win64

- action: override_dll
  dll: atl80
  type: native,builtin

- action: override_dll
  dll: msvcm80
  type: native,builtin

- action: override_dll
  dll: msvcp80
  type: native,builtin

- action: override_dll
  dll: msvcr80
  type: native,builtin
  
- action: override_dll
  dll: vcomp
  type: native,builtin
